### Method

# Foundry LlmManager find_resource

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_llm_manager_find_resource (
      FoundryLlmManager* self,
      const char* uri
    )

#### Description [src]

Finds the first resource which matches `uri`.

Available since: 1.1

#### Parameters

`uri`

  Type: `const char*`

  The URI of the resource.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryLlmResource` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.